---
- entityDefinitions:
  - IDC_RichTextAttribute: '{9e393eb5-0b2d-4c31-bc8c-419f9af8aee6}'

  - IDA_RichTextValue: '{0afb33a8-67b8-4bf3-be61-899f7e82d85f}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:  '&IDC_RichTextAttribute;'
    name:      Rich Text Attribute
    index:     2737
    customTagName: 'richTextAttribute'
    superclasses:
    - instance: '&IDC_Attribute;'
    - instance: '&IDC_ExecutableReturningAttribute;'
    attributes:
    - instance: '&IDA_Name;'
      customTagName: 'name'
    - instance: '&IDA_Value;'
      customTagName: 'value'
    - instance: '&IDA_MaximumLength;'
      customTagName: 'maximumLength'
    defaultTask: '&IDI_Task_RichTextAttribute_View;'
    relatedTasks:
    - instance: '&IDI_Task_RichTextAttribute_View;'
    - instance: '&IDI_Task_RichTextAttribute_Edit;'

  - richTextAttribute:      '&IDA_RichTextValue;'
    name:      Rich Text Value
    index:     1
